#### Cell-cell interaction analysis ####
To explore the interactions of CAR-Ts with TAMs and DCs we employed **MultiNicheNet**, a method for differential cell-cell communication analysis among conditions. More precisely, this technique is designed to handle multi-sample, multi-group single-cell data by looking at cell-cell communication between the cell types in each sample and compare the resulting patterns between groups of interest.</br>
As a first step we extracted abundance and expression information from sender (CAR-Ts) and receiver (TAMs and DCs) cell types combining this expression of ligands in the senders to the corresponding receptors in the receivers. A set of affected target genes in the receiver was defined based on genome-wide differential expression analysis of receiver and sender cell types and subsequently used to predict the NicheNet ligand activities and NicheNet ligand-target links. NicheNet ligand-target links were finally used to prioritize all sender/ligand-receiver/receptor pairs and calculate their expression correlation with the predicted target genes.

- MultiNicheNet_CARTvsEmpty.R: script for the analysis using MultiNicheNet of CART cells in the different conditions against the empty one.

![IFN](./IFN.png)![P2A](./P2A.png)![Ortho](./Ortho.png)
